:root{
    --color-flecha:black;
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
    scroll-padding-top: 4rem;
}
::selection{
    background-color: palevioletred;
}
::-webkit-scrollbar{
    width: 0.5rem;
}
::-webkit-scrollbar-track{
   background: transparent;
}
::-webkit-scrollbar-thumb{
  background-color: #333;
  border-radius: 2rem;
}
a{
    text-decoration: none;
    color: inherit;
    white-space: nowrap;
}
ul{
    list-style: none;
}
#abrir-menu, #abrir-label,#cerrar-label,.celu-input,.celu-label{
    display: none;
}


body{
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 1.3rem;
}

.contenedor{
    width: min(calc(100% - 32px), 1200px);
    margin: 0 auto;
}

header{
    height: 65px;
    background-color: palevioletred;
    position: sticky;
    top:0;
    left: 0;
    right: 0;
    z-index: 10;
}

header nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
header nav a#logo{
    font-weight: 600;
    font-size: 1.6rem;
}
header nav a#logo:hover{
    color: antiquewhite;
}

header nav ul.opciones{
    display: flex;
    justify-content: center;
    gap:2rem;
    line-height: 65px;
}
header nav ul.opciones ul.subopciones{
        position: absolute;
        top:80px;
        background-color: palevioletred;
        border-radius: 0 0 8px 8px;
        box-shadow: 2px 2px 2px rgba(0,0,0,0.05);
        line-height: 45px;
        visibility: hidden;
        opacity: 0;
        height: 0;
        overflow: hidden;
        transition: 0.2s linear;

}
header nav ul.opciones li:hover ul.subopciones{
        top:65px;
        visibility: visible;
        opacity: 1;
        height: auto;
}
header nav ul.opciones a , .celu-label{
    padding: 10px 20px;
    font-weight: 500;
    text-transform: capitalize;
}

header nav ul.opciones a:hover{
    color: antiquewhite;
}

header nav ul.opciones a svg,header nav ul.opciones label svg{
    transform: translateY(30%);
}
header nav ul.opciones a:hover svg,header nav ul.opciones label:hover svg{
     --color-flecha:antiquewhite;
     
    transform: rotate(180deg);
}




section{
    min-height: 100vh;
    display: grid;
    place-items: center;
    text-transform: uppercase;
    font-size: 5rem;
    border-bottom: 4px solid palevioletred;
}

/* Celulares y tablets */

@media (max-width:968px) {

    #abrir-label,#cerrar-label{
        display: block;
        cursor: pointer;
    }
    #cerrar-label{
        position: absolute;
        top:2rem;
        right: 2rem;
    }
    #abrir-label{
        position: absolute;
        top:1rem;
        right: 2rem;
    }
    #logo{
        position: absolute;
        top:1rem;
        left: 2rem;
    }
   
    header nav ul.opciones{
        position: fixed;
        top:0;
        left:-125%;
        height: 100vh;
        width: min(80%, 25rem);
        display: block;
        line-height: 45px;
        padding-top: 10rem;
        background-color: palevioletred;
        box-shadow: 2px 2px 2px rgba(0,0,0,0.05);
        transition: 0.3s linear;
    }
    #abrir-menu:checked ~ ul.opciones{
        left:0;
    }
    .escritorio{
        display: none;
    }
    .celu-label{
        display: inline;
        cursor: pointer;
    }
     .celu-label:hover{
        color: antiquewhite;
     }
    header nav ul.opciones ul.subopciones{
        position: static;
        visibility: visible;
        opacity: 1;
        height: auto;
        box-shadow: none;
        padding-left: 2rem;
        max-height: 0;
        transition: 0.2s linear;
    }
    .celu-input:checked ~ ul.subopciones{
        max-height: 15rem;
    }
    section{
        font-size: 3rem;
    }
    

    
}